
<nav class="navbar navbar-dark bg-primary">
  <a class="navbar-brand" href="#">
    Products
  </a>
</nav>

<div class="container-fluid">
  <div class="row">
    <div class="col-8">
      <table class="table table-hover">
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Product Name</th>
          <th scope="col">Company</th>
          <th scope="col">Price</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let product of products">
          <th scope="row">{{ product.id }}</th>
          <td>{{ product.name }}</td>
          <td>{{ product.company }}</td>
          <td>{{ product.price }}</td>
        </tr>
      </tbody>
    </table>
    </div>
    <div class="col">
      <h3>Add product</h3>
      <form [formGroup]="formAddProduct" (ngSubmit)="addProduct(formAddProduct)" novalidate class="form-horizontal form-material" id="loginform">
        <div class="group-control">
          <label for="">Product name</label>
          <input class="form-control form-control-sm" formControlName="name" name="name"  required >
          <small *ngIf="formAddProduct.get('name').hasError('required') " class ="text-danger">
            * required
         </small>
        </div>
        <div class="group-control">
          <label for="">Company</label>
          <input class="form-control form-control-sm" formControlName="company" name="company"  required >
          <small *ngIf="formAddProduct.get('company').hasError('required')" class ="text-danger">
            * required
         </small>
        </div>
        <div class="group-control">
          <label for="">Price</label>
          <input class="form-control form-control-sm" formControlName="price" name="price"  required>
          <small *ngIf="formAddProduct.get('price').hasError('required')" class ="text-danger">
            * required
         </small>
        </div>
        <br>
        <button class="btn btn-primary" type="submit" name="button">Add</button>
      </form>
    </div>
  </div>
</div>
